Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Interface IChunkProvider

All Known Implementing Classes:
  ChunkProviderClient, ChunkProviderEnd, ChunkProviderFlat, ChunkProviderGenerate, ChunkProviderHell, ChunkProviderServer

    public interface IChunkProvider

Method Summary
`boolean` | `canSave()` Returns if the IChunkProvider supports saving.
`boolean` | `chunkExists(int var1, int var2)` Checks to see if a chunk exists at x, y
`ChunkPosition` | `findClosestStructure(World var1, String var2, int var3, int var4, int var5)` Returns the location of the closest structure of the specified type.
`void` | `func_82695_e(int var1, int var2)`
`int` | `getLoadedChunkCount()`
`List` | `getPossibleCreatures(EnumCreatureType var1, int var2, int var3, int var4)` Returns a list of creatures of the specified type that can spawn at the given location.
`Chunk` | `loadChunk(int var1, int var2)` loads or generates the chunk at the chunk location specified
`String` | `makeString()` Converts the instance data to a readable string.
`void` | `populate(IChunkProvider var1, int var2, int var3)` Populates chunk with ores etc etc
`Chunk` | `provideChunk(int var1, int var2)` Will return back a chunk, if it doesn't exist and its not a MP client it will generates all the blocks for the specified chunk from the map seed and chunk seed
`boolean` | `saveChunks(boolean var1, IProgressUpdate var2)` Two modes of operation: if passed true, save all Chunks in one go.
`boolean` | `unload100OldestChunks()` Unloads the 100 oldest chunks from memory, due to a bug with chunkSet.add() never being called it thinks the list is always empty and will not remove any chunks.

Method Detail

### chunkExists

    boolean chunkExists(int var1,
                        int var2)

  Checks to see if a chunk exists at x, y

### provideChunk

    Chunk provideChunk(int var1,
                       int var2)

  Will return back a chunk, if it doesn't exist and its not a MP client it will generates all the blocks for the specified chunk from the map seed and chunk seed

### loadChunk

    Chunk loadChunk(int var1,
                    int var2)

  loads or generates the chunk at the chunk location specified

### populate

    void populate(IChunkProvider var1,
                  int var2,
                  int var3)

  Populates chunk with ores etc etc

### saveChunks

    boolean saveChunks(boolean var1,
                       IProgressUpdate var2)

  Two modes of operation: if passed true, save all Chunks in one go. If passed false, save up to two chunks. Return true if all chunks have been saved.

### unload100OldestChunks

    boolean unload100OldestChunks()

  Unloads the 100 oldest chunks from memory, due to a bug with chunkSet.add() never being called it thinks the list is always empty and will not remove any chunks.

### canSave

    boolean canSave()

  Returns if the IChunkProvider supports saving.

### makeString

    String makeString()

  Converts the instance data to a readable string.

### getPossibleCreatures

    List getPossibleCreatures(EnumCreatureType var1,
                              int var2,
                              int var3,
                              int var4)

  Returns a list of creatures of the specified type that can spawn at the given location.

### findClosestStructure

    ChunkPosition findClosestStructure(World var1,
                                       String var2,
                                       int var3,
                                       int var4,
                                       int var5)

  Returns the location of the closest structure of the specified type. If not found returns null.

### getLoadedChunkCount

    int getLoadedChunkCount()

### func_82695_e

    void func_82695_e(int var1,
                      int var2)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD